LoginEngine: No such file to load -- authenticated_user


#1

Hi all

I get the following error when using rake to import the DB schema for
the LoginEngine:

chraftbuech:/Users/Josh/Webwork/Dideldum.ch josh$ rake engine_migrate
ENGINE=lo
gin --trace
(in /Users/Josh/Webwork/Dideldum.ch)
** Invoke engine_migrate (first_time)
** Invoke db:migrate:engines (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
No such file to load – authenticated_user
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require__' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:in
require' /Users/Josh/Webwork/Dideldum.ch/config/../vendor/plugins/login_engine/init_engine.rb:6:instart_engine’
/Users/Josh/Webwork/Dideldum.ch/config/…/vendor/plugins/engines/lib/engines.rb:183:in
start_engine' /Users/Josh/Webwork/Dideldum.ch/config/../vendor/plugins/engines/lib/engines.rb:132:instart’
/Users/Josh/Webwork/Dideldum.ch/config/…/vendor/plugins/engines/lib/engines.rb:131:in
each' /Users/Josh/Webwork/Dideldum.ch/config/../vendor/plugins/engines/lib/engines.rb:131:instart’
/Users/Josh/Webwork/Dideldum.ch/config/…/config/custom_environment.rb:9
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require__' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:in
require' /Users/Josh/Webwork/Dideldum.ch/config/../config/environment.rb:54 /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:inrequire__’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:21:in
require' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/activesupport-1.2.5/lib/active_support/dependencies.rb:214:inrequire’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/tasks/misc.rake:9
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rails-1.0.0/lib/tasks/misc.rake:8:in
call' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:inexecute’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:in
each' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:387:inexecute’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:357:in
invoke' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:insynchronize’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in
invoke' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:ininvoke_prerequisites’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
each' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:insend’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in
each' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:ininvoke_prerequisites’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:in
invoke' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:insynchronize’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in
invoke' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:364:ininvoke_prerequisites’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:in
each' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:insend’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:999:in
each' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:363:ininvoke_prerequisites’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:356:in
invoke' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:insynchronize’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:350:in
invoke' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:inrun’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:in
each' /Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/lib/rake.rb:1906:inrun’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/lib/ruby/gems/1.8/gems/rake-0.7.1/bin/rake:7
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/bin/rake:18:in
`load’
/Applications/Locomotive/Bundles/rails-1.0.0-max.bundle/Contents/Resources/ports/bin/rake:18

What can I do? I’m a complete newb… :frowning:

Thanks a lot.
Josh


#2

Very, very, very frustrating stuff…

It seems that it does not find the file, although it exists under
lib/login_engine/authenticated_user.rb.
Do I have to move this stuff out of the vendor’s dir into the original
lib dir?

Or what can I do…? I’m really frustrated with all this stuff and poor
documentation…


#3

Joshua M. removed_email_address@domain.invalid writes:

Very, very, very frustrating stuff…

It seems that it does not find the file, although it exists under
lib/login_engine/authenticated_user.rb.
Do I have to move this stuff out of the vendor’s dir into the original
lib dir?

The engine should be present in the vendor\plugins directory.

Or what can I do…? I’m really frustrated with all this stuff and poor
documentation…

Did you check the wiki and read the README?

Surendra S.
http://ssinghi.kreeti.com, http://www.kreeti.com
Read my blog at: http://cuttingtheredtape.blogspot.com/
,----
| “War is Peace! Freedom is Slavery! Ignorance is Strength!”
| – Orwell, 1984, 1948
`----


#4

Please refer to this ticket on the issue tracking site:

http://dev.rails-engines.org/tickets/156

  • james

#5

Thanks very much… I can’t believe that I wasted hours because of this
simple bug. But why isn’t the SVN download updated?


#6

I am having the same (or very simmilar) problem with the new version of
engines… (and nothing with Rails while I am using Ruby 1.8.2 too…)

I’m currently quite busy, so I can’t dive into it…

(running the old version for development now…)

Wybo


Posted via http://www.ruby-forum.com/.


engine-users mailing list
removed_email_address@domain.invalid
http://lists.rails-engines.org/listinfo.cgi/engine-users-rails-engines.org

::Student:

  • History, Informatiekunde (computer linguistics, IR, web) and
    Philosophy
  • Member of the Center for Metahistory Groningen
    (http://www.rug.nl/let/cmg)

::Open Source Developer:

  • http://www.LogiLogi.org, innovative system for cumulative, shared
    commenting,
    publication and idea sharing: Web as it can
    be…
  • ComLinToo, a computational linguistics toolset written in Perl
  • Lake (LogiLogi.org Make), a make-replacement using makefiles in pure
    C++

::Being: